


ShareRewardCache = {};
ShareRewardCache.XML_FILE_NAME = "share_reward_data";
function ShareRewardCache:setShareRewardMoneyAmount(amount)
self.m_rewardMoneyAmount = amount;
end
function ShareRewardCache:getShareRewardMoneyAmount()
if self.m_rewardMoneyAmount == nil then
return 666;
else
return self.m_rewardMoneyAmount;
end
end
function ShareRewardCache:setBindMobileMoney(bindMobileMoney)
self.m_bindMobileMoney = bindMobileMoney;
end
function ShareRewardCache:getBindMobileMoney()
return self.m_bindMobileMoney;
end
function ShareRewardCache:setUserHasSharedToday()
dict_load(ShareRewardCache.XML_FILE_NAME);
dict_set_int(ShareRewardCache.XML_FILE_NAME, "shared_today_" .. GameCache.getMid() .. "_" .. os.date("%Y%m%d"), 1);
dict_save(ShareRewardCache.XML_FILE_NAME);
end
function ShareRewardCache:getUserHasSharedToday()
dict_load(ShareRewardCache.XML_FILE_NAME);
local i = dict_get_int(ShareRewardCache.XML_FILE_NAME, "shared_today_" .. GameCache.getMid() .. "_" .. os.date("%Y%m%d"), 0);
if i == 1 then
return true;
else
return false;
end
end
function ShareRewardCache:setUserHasTakenToday()
dict_load(ShareRewardCache.XML_FILE_NAME);
dict_set_int(ShareRewardCache.XML_FILE_NAME, "share_reward_taken_" .. GameCache.getMid() .. "_" .. os.date("%Y%m%d"), 1);
dict_save(ShareRewardCache.XML_FILE_NAME);
end
function ShareRewardCache:getUserHasTakenToday()
dict_load(ShareRewardCache.XML_FILE_NAME);
local i = dict_get_int(ShareRewardCache.XML_FILE_NAME, "share_reward_taken_" .. GameCache.getMid() .. "_" .. os.date("%Y%m%d"), 0);
if i == 1 then
return true;
else
return false;
end
end
function ShareRewardCache.clearCache(self)
self.m_rewardMoneyAmount = nil;
self.m_bindMobileMoney = nil;
end
